Question

1
Replies
19
Views
Close popover
Andy Hobbs (HOBBSA01)
RCDTS

RCDTS
GB
HOBBSA01 Member since 2012 4 posts
RCDTS
Posted: 3 weeks 3 days ago
Last activity: 3 weeks 2 days ago

Upgrading to Pega 8.5.3 and Oracle 19C at the same time

Hi, we are looking to upgrade oracle from oracle 12 to 19c. As a result we also need to upgrade pega from 8.3.1 so we are looking to go 8.5.3.

When I try and do an out of place upgrade and run the migrate.sh script, I have put the properties in migrateSystem.properties for the source DB (oracle 12) and target DB (oracle 19c). When I run migrate.sh I get the following error: ORA-64219: invalid LOB locator encountered when populating the PR_ENGINECLASSES table.

Has anyone successfully done this before or would it be recommended to separate out the pega upgrade and oracle upgrade?

I appreciate that pega 8.3.1 is not supported on Oracle 19c and we may have found the reason why.

Thanks,

Andy

***Edited by Moderator: Pooja Gadige to add platform capability tag***
Pega Platform 8.5.3 Case Management System Administration Upgrades Government Front-End Developer Upgrade